﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SoftArtisans.OfficeWriter.WordWriter;

namespace SoftArtisansHolidayCardGenerator
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void GenCardsBtn_Click(object sender, EventArgs e)
        {
            GenerateCards();
        }

        protected void GenLabels_Click(object sender, EventArgs e)
        {
            GenerateLabels();
        }


        private void GenerateCards()
        {
            //Generate Cards
            WordTemplate wt = new WordTemplate(); //Create Word Template
            wt.Open(Page.MapPath("\\Templates\\HolidayCards.in.docx")); //Open Template File
            wt.SetMailMerge(DataGenerator.GetDummyData()); //Read in Data and Perform a Mail Merge
            wt.Process(); //Process the file
            wt.Save(Page.Response); //Save it back to the context stream so the user is prompted to save the file
        }

        private void GenerateLabels()
        {
            //Generate Mailing labels
            WordTemplate wt = new WordTemplate(); //Create Word Template
            wt.EnableNEXTFields = true;
            wt.Open(Page.MapPath("\\Templates\\Labels.in.docx")); //Open Template File
            wt.SetMailMerge(DataGenerator.GetDummyData()); //Read in Data and Perform a Mail Merge
            wt.Process(); //Process the file
            wt.Save(Page.Response); //Save it back to the context stream so the user is prompted to save the file
        }
    }
}
